import { useEffect, useState } from "react";
import { fetchProductById } from "../services/api";
import { useParams } from "react-router-dom";

const ProductDetail = () => {
  const { productId } = useParams();
  const [product, setProduct] = useState(null);

  useEffect(() => {
    const fetchData = async () => {
      const response = await fetchProductById(productId);
      // console.log(data, "wuehfiwuehfowieuwuir09");
      setProduct(response.data);
    };
    fetchData();
  }, [productId]);
  

  if (!product) return <div>Loading...</div>;

  return (
    <div className="p-5">
      <h1 className="text-2xl font-bold mb-4">{product?.name}</h1>
      <img src={product?.image} alt={product?.name} className="w-full h-64 object-cover mb-4" />
      <p className="text-lg mb-3">{product?.description}</p>
      <h3 className="text-lg font-bold mb-2">Categories:</h3>
      <ul className="list-disc ml-5">
        {product?.categories?.map((category) => (
          <li key={category?.id}>{category?.name}</li>
          
        ))}
        
      </ul>
    </div>
  );
};

export default ProductDetail;
