import axios from "axios";

const API_BASE_URL = import.meta.env.VITE_API_BASE_URL;

export const fetchCategories = async () => {
  const response = await axios.get(`${API_BASE_URL}/categories`);
  return response.data;
};

export const fetchProductsByCategory = async (categoryId) => {
  const response = await axios.get(`${API_BASE_URL}/products?categoryId=${categoryId}`);
  return response.data;
};


export const fetchProductById = async (productId) => {
  const response = await axios.get(`${API_BASE_URL}/products/${productId}`);
  return response.data;
};

// /api
// export const getCategoriesById = async (productId) => {
//     const response = await axios.get(`${API_BASE_URL}/categories${productId}`);
//     return response.data;
//   };


export const addNewProduct = async () => {
    const response = await axios.post(`${API_BASE_URL}/products`);
    return response.data;
}
